/* basetypes.h
 *
 * Platform dependend basic types for Linux.
 *
 * Copyright (C) 2005-2006 TomTom BV <http://www.tomtom.com/>
 * Author 0: Dimitry Andric <dimitry.andric@tomtom.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2
 * as published by the Free Software Foundation.
 */

#ifndef INCLUDED_BASETYPES_H
#define INCLUDED_BASETYPES_H

#include <stdint.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

typedef int8_t   TInt8;
typedef uint8_t  TUint8;
typedef int16_t  TInt16;
typedef uint16_t TUint16;
typedef int32_t  TInt32;
typedef uint32_t TUint32;
typedef float    TReal32;
typedef double   TReal64;
typedef double   TReal;
typedef TInt32   TBool;
typedef TUint8   TChr;
typedef int64_t  TLong64;

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* INCLUDED_BASETYPES_H */

/* EOF */
